Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] mpirun error output
From: Reuti (reuti_at_[hidden])
Date: 2013-03-20 15:04:35


Am 20.03.2013 um 18:58 schrieb Ralph Castain:

> Well, a couple of things come to mind - see below
>
> On Mar 20, 2013, at 9:41 AM, Bruno Cramer <bruno.cramer_at_[hidden]> wrote:
>
>> Hi,
>> 1) Openmpi in PC1
>> I installed openmpi-1.4.3 using the OpenSuse 32b v. 12.1 repository
>> as well as openmpi devel
>> All mpi executables are present so are the libraries in lib directory.
>> I set the environment as ( .bashrc)
>>
>>
>> PATH=$PATH:/usr/lib/mpi/gcc/openmpi/bin
>> PATH=$PATH:/usr/lib/mpi/gcc/openmpi/lib
>> export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib/mpi/gcc/openmpi/lib
>> export PATH
>
> You should reverse the ordering here - always put the OMPI path element first, then the existing one, to ensure that you are getting the intended version. Lot of operating systems come with an older version pre-installed in a standard location.
>
>>
>> When I run any of the test examples (eg. mpirun hello_c.c or any program that has mpi interface included I get the message
>> -----------------------------
>> mpirun was unable to launch the specified application as it could not find an executable:
>> Executable: hello_c.c
>> Node: linux-curie
>> while attempting to start process rank 0.
>
> Look at the executable - apparently, you tried to run the ".c" source code instead of the compiled executable :-)
>
>> -----------------------
>> typing echo $LD_LIBRARY_PATH I should get something like /usr/lib/mpi/gcc/openmpi/lib. The only output I get is /usr/local/atlas3.10/lib (which is the blas/lapack library). Also Intel compilers library is not shown.
>
> I suspect that your original LD_LIBRARY_PATH was empty, so now the path starts with a ":" and makes bash unhappy. Try reversing the order as above and it might work.

AFAIK additional colons don't matter, but nevertheless I prefer indeed for cosmetic reasons:

$ export LD_LIBRARY_PATH=/usr/lib/mpi/gcc/openmpi/lib${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}

to avoid a superfluous colon too.

-- Reuti

>>
>>
>>
>> 1) Openmpi installation in PC2
>> In OpenSuse v 12.1 64b I installed openmpi-1.4.3 downloading it from the openmpi site.
>> No error occured during ./configure, make, make install process.
>> The environment settings change a little but are very similar to those mentioned under PC1.
>> The same message as above is occuring.
>>
>> in this case typing echo $LD_LIBRARY_PATH I get the correct output from the mpi library as /usr/local/lib64 and the executables are in /usr/local/bin.
>>
>>
>>
>> Any help is wellcome
>>
>>
>> Regards
>> Bruno
>> _______________________________________________
>> users mailing list
>> users_at_[hidden]
>> http://www.open-mpi.org/mailman/listinfo.cgi/users
>
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users